From: Eugeniy Meshcheryakov <eugen@debian.org>
Subject: Various fixes for SWI prolog
Forwarded: not-needed
--- a/checker/sicstus.pro
+++ b/checker/sicstus.pro
@@ -17,12 +17,16 @@
 
 
 :- use_module(library(lists)).
-:- use_module(library(codesio)).
+
+file_exists(File, [exists]) :- exists_file(File).
+file_exists(File, [read]) :- access_file(File, read).
+file_exists(File, [write]) :- access_file(File, write).
+
 :- use_module(library(terms)).
 
 /* Provides access to deprecated  *
  * 'system' library from SICStus3 */
-:- use_module(library(system3)).
+:- use_module(library(system)).
 
 
 :- set_prolog_flag(syntax_errors, dec10).
--- a/checker/toplevel.pro
+++ b/checker/toplevel.pro
@@ -882,10 +882,10 @@
 :- public newvc/0.
 :- public prove/0.
 :- public quit/0.
-:- public consult/0.
+%:- public consult/0.
 :- public unwrap/0.
 :- public instantiate/0.
-:- public set/0.
+%:- public set/0.
 :- public show/0.
 :- public declare/0.
 :- public save_state/0.
